/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.sp.report;

import java.io.Serializable;

/**
 *
 * @author Oscar Armando Vargas Cardenas <oscar.vargas@arrebol.com.mx>
 */
public class ReportGoogleDrive implements Serializable{
    
    String driverName;
    String estatusDriver;
    String vehicleName;
    String customerName;
    float totalAdeudo;
    float paymentExpectedWeek;
    float savingExpectedWeek;
    float accidentExpectedWeek;
    float mondayPay;
    float tuesdayPay;
    float wednesdayPay;
    float thursdayPay;
    float fridayPay;
    float saturdayPay;
    float sundayPay;
    float totalPayWeek;
    float totalPaySavingWeek;
    float totalAccidentWeek;
    int isMonday;
    int isTuesday;
    int isWednesday;
    int isThursday;
    int isFriday;
    int isSaturday;
    int mondayGarage;
    int tuesdayGarage;
    int wednesdayGarage;
    int thursdayGarage;
    int fridayGarage;
    int saturdayGarage;
    int sundayGarage;
    int mondayBanca;
    int tuesdayBanca;
    int wednesdayBanca;
    int thursdayBanca;
    int fridayBanca;
    int saturdayBanca;
    int sundayBanca;

    public ReportGoogleDrive(String driverName, String estatusDriver, String vehicleName, String customerName, float totalAdeudo, float paymentExpectedWeek, float savingExpectedWeek, float accidentExpectedWeek, float mondayPay, float tuesdayPay, float wednesdayPay, float thursdayPay, float fridayPay, float saturdayPay, float totalPayWeek, float totalPaySavingWeek, float totalAccidentWeek, int isMonday, int isTuesday, int isWednesday, int isThursday, int isFriday, int isSaturday) {
        this.driverName = driverName;
        this.estatusDriver = estatusDriver;
        this.vehicleName = vehicleName;
        this.customerName = customerName;
        this.totalAdeudo = totalAdeudo;
        this.paymentExpectedWeek = paymentExpectedWeek;
        this.savingExpectedWeek = savingExpectedWeek;
        this.accidentExpectedWeek = accidentExpectedWeek;
        this.mondayPay = mondayPay;
        this.tuesdayPay = tuesdayPay;
        this.wednesdayPay = wednesdayPay;
        this.thursdayPay = thursdayPay;
        this.fridayPay = fridayPay;
        this.saturdayPay = saturdayPay;
        this.totalPayWeek = totalPayWeek;
        this.totalPaySavingWeek = totalPaySavingWeek;
        this.totalAccidentWeek = totalAccidentWeek;
        this.isMonday = isMonday;
        this.isTuesday = isTuesday;
        this.isWednesday = isWednesday;
        this.isThursday = isThursday;
        this.isFriday = isFriday;
        this.isSaturday = isSaturday;
    }

    public ReportGoogleDrive(String driverName, String estatusDriver, String vehicleName, String customerName, float totalAdeudo, float paymentExpectedWeek, float savingExpectedWeek, float accidentExpectedWeek, float mondayPay, float tuesdayPay, float wednesdayPay, float thursdayPay, float fridayPay, float saturdayPay, float totalPayWeek, float totalPaySavingWeek, float totalAccidentWeek) {
        this.driverName = driverName;
        this.estatusDriver = estatusDriver;
        this.vehicleName = vehicleName;
        this.customerName = customerName;
        this.totalAdeudo = totalAdeudo;
        this.paymentExpectedWeek = paymentExpectedWeek;
        this.savingExpectedWeek = savingExpectedWeek;
        this.accidentExpectedWeek = accidentExpectedWeek;
        this.mondayPay = mondayPay;
        this.tuesdayPay = tuesdayPay;
        this.wednesdayPay = wednesdayPay;
        this.thursdayPay = thursdayPay;
        this.fridayPay = fridayPay;
        this.saturdayPay = saturdayPay;
        this.totalPayWeek = totalPayWeek;
        this.totalPaySavingWeek = totalPaySavingWeek;
        this.totalAccidentWeek = totalAccidentWeek;
    }

    public ReportGoogleDrive(String driverName, String estatusDriver, String vehicleName, String customerName, float totalAdeudo, float paymentExpectedWeek, float savingExpectedWeek, float accidentExpectedWeek, float mondayPay, float tuesdayPay, float wednesdayPay, float thursdayPay, float fridayPay, float saturdayPay, float sundayPay, float totalPayWeek, float totalPaySavingWeek, float totalAccidentWeek, int isMonday, int isTuesday, int isWednesday, int isThursday, int isFriday, int isSaturday) {
        this.driverName = driverName;
        this.estatusDriver = estatusDriver;
        this.vehicleName = vehicleName;
        this.customerName = customerName;
        this.totalAdeudo = totalAdeudo;
        this.paymentExpectedWeek = paymentExpectedWeek;
        this.savingExpectedWeek = savingExpectedWeek;
        this.accidentExpectedWeek = accidentExpectedWeek;
        this.mondayPay = mondayPay;
        this.tuesdayPay = tuesdayPay;
        this.wednesdayPay = wednesdayPay;
        this.thursdayPay = thursdayPay;
        this.fridayPay = fridayPay;
        this.saturdayPay = saturdayPay;
        this.sundayPay = sundayPay;
        this.totalPayWeek = totalPayWeek;
        this.totalPaySavingWeek = totalPaySavingWeek;
        this.totalAccidentWeek = totalAccidentWeek;
        this.isMonday = isMonday;
        this.isTuesday = isTuesday;
        this.isWednesday = isWednesday;
        this.isThursday = isThursday;
        this.isFriday = isFriday;
        this.isSaturday = isSaturday;
    }

    public ReportGoogleDrive(String driverName, String estatusDriver, String vehicleName, String customerName, float totalAdeudo, float paymentExpectedWeek, float savingExpectedWeek, float accidentExpectedWeek, float mondayPay, float tuesdayPay, float wednesdayPay, float thursdayPay, float fridayPay, float saturdayPay, float sundayPay, float totalPayWeek, float totalPaySavingWeek, float totalAccidentWeek, int isMonday, int isTuesday, int isWednesday, int isThursday, int isFriday, int isSaturday, int mondayGarage, int tuesdayGarage, int wednesdayGarage, int thursdayGarage, int fridayGarage, int saturdayGarage, int sundayGarage, int mondayBanca, int tuesdayBanca, int wednesdayBanca, int thursdayBanca, int fridayBanca, int saturdayBanca, int sundayBanca) {
        this.driverName = driverName;
        this.estatusDriver = estatusDriver;
        this.vehicleName = vehicleName;
        this.customerName = customerName;
        this.totalAdeudo = totalAdeudo;
        this.paymentExpectedWeek = paymentExpectedWeek;
        this.savingExpectedWeek = savingExpectedWeek;
        this.accidentExpectedWeek = accidentExpectedWeek;
        this.mondayPay = mondayPay;
        this.tuesdayPay = tuesdayPay;
        this.wednesdayPay = wednesdayPay;
        this.thursdayPay = thursdayPay;
        this.fridayPay = fridayPay;
        this.saturdayPay = saturdayPay;
        this.sundayPay = sundayPay;
        this.totalPayWeek = totalPayWeek;
        this.totalPaySavingWeek = totalPaySavingWeek;
        this.totalAccidentWeek = totalAccidentWeek;
        this.isMonday = isMonday;
        this.isTuesday = isTuesday;
        this.isWednesday = isWednesday;
        this.isThursday = isThursday;
        this.isFriday = isFriday;
        this.isSaturday = isSaturday;
        this.mondayGarage = mondayGarage;
        this.tuesdayGarage = tuesdayGarage;
        this.wednesdayGarage = wednesdayGarage;
        this.thursdayGarage = thursdayGarage;
        this.fridayGarage = fridayGarage;
        this.saturdayGarage = saturdayGarage;
        this.sundayGarage = sundayGarage;
        this.mondayBanca = mondayBanca;
        this.tuesdayBanca = tuesdayBanca;
        this.wednesdayBanca = wednesdayBanca;
        this.thursdayBanca = thursdayBanca;
        this.fridayBanca = fridayBanca;
        this.saturdayBanca = saturdayBanca;
        this.sundayBanca = sundayBanca;
    }

    
    
    

    public float getSundayPay() {
        return sundayPay;
    }

    public void setSundayPay(float sundayPay) {
        this.sundayPay = sundayPay;
    }

    public int getIsMonday() {
        return isMonday;
    }

    public void setIsMonday(int isMonday) {
        this.isMonday = isMonday;
    }

    public int getIsTuesday() {
        return isTuesday;
    }

    public void setIsTuesday(int isTuesday) {
        this.isTuesday = isTuesday;
    }

    public int getIsWednesday() {
        return isWednesday;
    }

    public void setIsWednesday(int isWednesday) {
        this.isWednesday = isWednesday;
    }

    public int getIsThursday() {
        return isThursday;
    }

    public void setIsThursday(int isThursday) {
        this.isThursday = isThursday;
    }

    public int getIsFriday() {
        return isFriday;
    }

    public void setIsFriday(int isFriday) {
        this.isFriday = isFriday;
    }

    public int getIsSaturday() {
        return isSaturday;
    }

    public void setIsSaturday(int isSaturday) {
        this.isSaturday = isSaturday;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public String getEstatusDriver() {
        return estatusDriver;
    }

    public void setEstatusDriver(String estatusDriver) {
        this.estatusDriver = estatusDriver;
    }

    public String getVehicleName() {
        return vehicleName;
    }

    public void setVehicleName(String vehicleName) {
        this.vehicleName = vehicleName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public float getTotalAdeudo() {
        return totalAdeudo;
    }

    public void setTotalAdeudo(float totalAdeudo) {
        this.totalAdeudo = totalAdeudo;
    }

    public float getPaymentExpectedWeek() {
        return paymentExpectedWeek;
    }

    public void setPaymentExpectedWeek(float paymentExpectedWeek) {
        this.paymentExpectedWeek = paymentExpectedWeek;
    }

    public float getSavingExpectedWeek() {
        return savingExpectedWeek;
    }

    public void setSavingExpectedWeek(float savingExpectedWeek) {
        this.savingExpectedWeek = savingExpectedWeek;
    }

    public float getAccidentExpectedWeek() {
        return accidentExpectedWeek;
    }

    public void setAccidentExpectedWeek(float accidentExpectedWeek) {
        this.accidentExpectedWeek = accidentExpectedWeek;
    }

    public float getMondayPay() {
        return mondayPay;
    }

    public void setMondayPay(float mondayPay) {
        this.mondayPay = mondayPay;
    }

    public float getTuesdayPay() {
        return tuesdayPay;
    }

    public void setTuesdayPay(float tuesdayPay) {
        this.tuesdayPay = tuesdayPay;
    }

    public float getWednesdayPay() {
        return wednesdayPay;
    }

    public void setWednesdayPay(float wednesdayPay) {
        this.wednesdayPay = wednesdayPay;
    }

    public float getThursdayPay() {
        return thursdayPay;
    }

    public void setThursdayPay(float thursdayPay) {
        this.thursdayPay = thursdayPay;
    }

    public float getFridayPay() {
        return fridayPay;
    }

    public void setFridayPay(float fridayPay) {
        this.fridayPay = fridayPay;
    }

    public float getSaturdayPay() {
        return saturdayPay;
    }

    public void setSaturdayPay(float saturdayPay) {
        this.saturdayPay = saturdayPay;
    }

    public float getTotalPayWeek() {
        return totalPayWeek;
    }

    public void setTotalPayWeek(float totalPayWeek) {
        this.totalPayWeek = totalPayWeek;
    }

    public float getTotalPaySavingWeek() {
        return totalPaySavingWeek;
    }

    public void setTotalPaySavingWeek(float totalPaySavingWeek) {
        this.totalPaySavingWeek = totalPaySavingWeek;
    }

    public float getTotalAccidentWeek() {
        return totalAccidentWeek;
    }

    public void setTotalAccidentWeek(float totalAccidentWeek) {
        this.totalAccidentWeek = totalAccidentWeek;
    }

    public int getMondayGarage() {
        return mondayGarage;
    }

    public void setMondayGarage(int mondayGarage) {
        this.mondayGarage = mondayGarage;
    }

    public int getTuesdayGarage() {
        return tuesdayGarage;
    }

    public void setTuesdayGarage(int tuesdayGarage) {
        this.tuesdayGarage = tuesdayGarage;
    }

    public int getWednesdayGarage() {
        return wednesdayGarage;
    }

    public void setWednesdayGarage(int wednesdayGarage) {
        this.wednesdayGarage = wednesdayGarage;
    }

    public int getThursdayGarage() {
        return thursdayGarage;
    }

    public void setThursdayGarage(int thursdayGarage) {
        this.thursdayGarage = thursdayGarage;
    }

    public int getFridayGarage() {
        return fridayGarage;
    }

    public void setFridayGarage(int fridayGarage) {
        this.fridayGarage = fridayGarage;
    }

    public int getSaturdayGarage() {
        return saturdayGarage;
    }

    public void setSaturdayGarage(int saturdayGarage) {
        this.saturdayGarage = saturdayGarage;
    }

    public int getSundayGarage() {
        return sundayGarage;
    }

    public void setSundayGarage(int sundayGarage) {
        this.sundayGarage = sundayGarage;
    }

    public int getMondayBanca() {
        return mondayBanca;
    }

    public void setMondayBanca(int mondayBanca) {
        this.mondayBanca = mondayBanca;
    }

    public int getTuesdayBanca() {
        return tuesdayBanca;
    }

    public void setTuesdayBanca(int tuesdayBanca) {
        this.tuesdayBanca = tuesdayBanca;
    }

    public int getWednesdayBanca() {
        return wednesdayBanca;
    }

    public void setWednesdayBanca(int wednesdayBanca) {
        this.wednesdayBanca = wednesdayBanca;
    }

    public int getThursdayBanca() {
        return thursdayBanca;
    }

    public void setThursdayBanca(int thursdayBanca) {
        this.thursdayBanca = thursdayBanca;
    }

    public int getFridayBanca() {
        return fridayBanca;
    }

    public void setFridayBanca(int fridayBanca) {
        this.fridayBanca = fridayBanca;
    }

    public int getSaturdayBanca() {
        return saturdayBanca;
    }

    public void setSaturdayBanca(int saturdayBanca) {
        this.saturdayBanca = saturdayBanca;
    }

    public int getSundayBanca() {
        return sundayBanca;
    }

    public void setSundayBanca(int sundayBanca) {
        this.sundayBanca = sundayBanca;
    }

    
    
    public String getEnvMonday(){
        
        if(mondayGarage == 1)
        {
            return "purpleRow";
        }
        
        if(mondayBanca == 1)
        {
            return "greenLigthRow";
        }
        
        float expect = paymentExpectedWeek + savingExpectedWeek + accidentExpectedWeek;
        
        if(mondayPay == expect && isMonday == 1)
            return "greenRow";
        if(mondayPay == 0 && isMonday == 1)
            return "redRow";
        if(mondayPay < expect && isMonday == 1)
            return "yellowRow";
        if(mondayPay > expect && isMonday == 1)
            return "blueRow";
        
        return null;
    }
    
    public String getEnvTuesday(){
        
        if(tuesdayGarage == 1)
        {
            return "purpleRow";
        }
        
        if(tuesdayBanca == 1)
        {
            return "greenLigthRow";
        }
        float expect = paymentExpectedWeek + savingExpectedWeek + accidentExpectedWeek;
        
        if(tuesdayPay == expect && isTuesday == 1)
            return "greenRow";
        if(tuesdayPay == 0 && isTuesday == 1)
            return "redRow";
        if(tuesdayPay < expect && isTuesday == 1)
            return "yellowRow";
        if(tuesdayPay > expect && isTuesday == 1)
            return "blueRow";
        
        return null;
    }
    
    public String getEnvWednesday(){
        
        if(wednesdayGarage == 1)
        {
            return "purpleRow";
        }
        
        if(wednesdayBanca == 1)
        {
            return "greenLigthRow";
        }
        float expect = paymentExpectedWeek + savingExpectedWeek + accidentExpectedWeek;
        
        if(wednesdayPay == expect && isWednesday == 1)
            return "greenRow";
        if(wednesdayPay == 0 && isWednesday == 1)
            return "redRow";
        if(wednesdayPay < expect && isWednesday == 1)
            return "yellowRow";
        if(wednesdayPay > expect && isWednesday == 1)
            return "blueRow";
        
        return null;
    }
    
    public String getEnvThursday(){
        
        if(thursdayGarage == 1)
        {
            return "purpleRow";
        }
        
        if(thursdayBanca == 1)
        {
            return "greenLigthRow";
        }
        float expect = paymentExpectedWeek + savingExpectedWeek + accidentExpectedWeek;
        
        if(thursdayPay == expect && isThursday == 1)
            return "greenRow";
        if(thursdayPay == 0 && isThursday == 1)
            return "redRow";
        if(thursdayPay < expect && isThursday == 1)
            return "yellowRow";
        if(thursdayPay > expect && isThursday == 1)
            return "blueRow";
        
        return null;
    }
    
    public String getEnvFriday(){
        
        if(fridayGarage == 1)
        {
            return "purpleRow";
        }
        
        if(fridayBanca == 1)
        {
            return "greenLigthRow";
        }
        float expect = paymentExpectedWeek + savingExpectedWeek + accidentExpectedWeek;
        
        if(fridayPay == expect && isFriday == 1)
            return "greenRow";
        if(fridayPay == 0 && isFriday == 1)
            return "redRow";
        if(fridayPay < expect && isFriday == 1)
            return "yellowRow";
        if(fridayPay > expect && isFriday == 1)
            return "blueRow";
        
        return null;
    }
    
    public String getEnvSaturday(){
        
        if(saturdayGarage == 1)
        {
            return "purpleRow";
        }
        
        if(saturdayBanca == 1)
        {
            return "greenLigthRow";
        }
        float expect = paymentExpectedWeek + savingExpectedWeek + accidentExpectedWeek;
        
        if(saturdayPay == expect && isSaturday == 1)
            return "greenRow";
        if(saturdayPay == 0 && isSaturday == 1)
            return "redRow";
        if(saturdayPay < expect && isSaturday == 1)
            return "yellowRow";
        if(saturdayPay > expect && isSaturday == 1)
            return "blueRow";
        
        return null;
    }
}
